Browse Source

dev-python/osc-lib: New package

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Alarig Le Lay <alarig@swordarmor.fr>
master
Alarig Le Lay 1 year ago
parent
commit
db2c48bb89
Signed by: alarig
GPG Key ID: 7AFE62C6DF8BCDEC
  1. 1
      dev-python/osc-lib/Manifest
  2. 21
      dev-python/osc-lib/metadata.xml
  3. 30
      dev-python/osc-lib/osc-lib-2.4.0.ebuild

1
dev-python/osc-lib/Manifest

@ -0,0 +1 @@
DIST osc-lib-2.4.0.tar.gz 97550 BLAKE2B 4592fc454c69a5588f85fd4a4d777436613bc5a9b910051e418d2322d95a8fd30a3191970220e83270e613829364614a19514f41c3cc8a253153e68bc43bd2a7 SHA512 8d00d8d83a07a6edab0b2881122aa034ebf931c36d8a615026f8344c778e5a5afdf2fa8eb2f0a63e71805fc15753f204515630d2724b2c0382d7912c076f5143

21
dev-python/osc-lib/metadata.xml

@ -0,0 +1,21 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>prometheanfire@gentoo.org</email>
<name>Matthew Thode</name>
</maintainer>
<maintainer type="project">
<email>openstack@gentoo.org</email>
<name>Openstack</name>
</maintainer>
<longdescription lang="en">
OpenStackClient (aka OSC) is a command-line client for OpenStack. osc-lib
is a package of common support modules for writing OSC plugins.
</longdescription>
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">osc-lib</remote-id>
<remote-id type="github">openstack/osc-lib</remote-id>
</upstream>
</pkgmetadata>

30
dev-python/osc-lib/osc-lib-2.4.0.ebuild

@ -0,0 +1,30 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
DESCRIPTION="A package of common support modules for writing OSC plugins."
HOMEPAGE="https://github.com/openstack/osc-lib"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
IUSE=""
CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
!~dev-python/pbr-2.1.0"
DEPEND="${CDEPEND}"
RDEPEND="
${CDEPEND}
>=dev-python/cliff-3.2.0[${PYTHON_USEDEP}]
>=dev-python/keystoneauth-3.14.0[${PYTHON_USEDEP}]
>=dev-python/openstacksdk-0.15.0[${PYTHON_USEDEP}]
>=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
>=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
>=dev-python/simplejson-3.5.1[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]"
Loading…
Cancel
Save